@import url(./fonts.css);

:root {
  --gold: #b38b48;
  --white: #e8e8e8;
  --bg: #071013;
  --bg2: #19191b;
  --headerHeight: 100px;
}

.hide-scroll::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.hide-scroll {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

html {
  align-items: center;
  justify-content: center;
  display: flex;
  width: 100vw;
  box-sizing: border-box;
  overflow-x: hidden;
}

body {
  font-family: "Tajawal", sans-serif;
  font-weight: 400;
  font-style: normal;
  margin: 0;
  background-color: var(--bg2);
  color: var(--white);
  max-width: 1700px;
  width: 100vw;
  box-sizing: border-box;
}

main {
  margin-top: var(--headerHeight);
}

h1 {
  font-size: 48px;
  font-weight: 700;
  margin: 0;
  margin-block-end: 0;
  margin-block-start: 0;
  opacity: 1;
}

h2 {
  font-size: 32px;
  font-weight: 700;
  margin: 0;
  margin-block-end: 0;
  margin-block-start: 0;
}

h3 {
  font-size: 28px;
  font-weight: 700;
  margin: 0;
  margin-block-end: 0;
  margin-block-start: 0;
}

p {
  font-size: 22px;
  font-weight: 400;
  margin-block-end: 0;
  margin-block-start: 0;
}

.header {
  height: 100px;
  background-color: var(--bg);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  z-index: 1;
  top: 0;
  width: 100%;
  max-width: 1700px;
  padding: 16px 32px;
  box-sizing: border-box;
}

.icon {
  font-size: 32px;
  color: var(--white);
  align-items: center;
  justify-content: center;
  display: flex;
}

.contact-icon {
  font-size: 32px;
  color: var(--white);
  align-items: center;
  justify-content: center;
  display: flex;
}

.contact-icon:hover {
  color: var(--gold);
}
.icon:hover {
  color: var(--gold);
}

.epassi-logo {
  height: 112px;
}

#contact-cta {
  display: flex;
  flex-direction: row;
  gap: 64px;
}

.container {
  text-align: center;
}

.clean-a {
  text-decoration: none;
  color: var(--gold);
}
.clean-a:hover {
  text-decoration: none;
  color: var(--gold);
}
.clean-a:visited {
  text-decoration: none;
  color: var(--gold);
}
.clean-a:active {
  text-decoration: none;
  color: var(--gold);
}

#header-logo {
  height: 30px;
  padding-top: 8px;
}
#hero {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  padding: 32px 16px;
}

#hero::before {
  content: "";
  display: block;
  background-image: url(../assets/images/gym.jpg);
  background-size: cover;
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  opacity: 0.2;
}

#hero-image {
  width: 100%;
  opacity: 0.1;
}

#hero-content {
  position: relative;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 0px 16px;
  color: var(--gold);
  display: flex;
  flex-direction: column;
  gap: 16px;
}

#hero-cta {
  display: flex;
  justify-content: center;
  gap: 32px;
}

.cta-button {
  border: none;
  font-size: 24px;
  padding: 0 32px;
  cursor: pointer;
  height: 50px;
}
#cta-button-contact {
  background-color: var(--gold);
  color: var(--bg2);
}
#cta-button-contact:hover {
  background-color: var(--bg2);
  color: var(--gold);
}

.cta-button-label {
  vertical-align: sub;
}

#cta-button-prices {
  background-color: var(--bg2);
  color: var(--gold);
}

#cta-button-prices:hover {
  background-color: var(--gold);
  color: var(--bg2);
}

#offering {
  display: flex;
  flex-direction: column;
}
.offering-title {
  color: var(--gold);
  text-align: center;
  padding-bottom: 16px;
}

.offering-items {
  display: flex;
  flex-direction: column;
}

.offering-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: var(--bg);
  padding: 16px 32px;
  gap: 16px;
  text-align: center;
}

.offering-item-app {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--bg);
  padding: 32px;
  justify-content: space-evenly;
}

.offering-item-title {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 16px;
  color: var(--gold);
}
.offering-item-icon {
  font-size: 32px;
  color: var(--gold);
}

.external-providers {
  display: flex;
  flex-direction: row;
}

.external-provider {
  height: 240px;
}
.external-provider-logo {
  height: 100%;
}

#iphone-frame {
  max-width: 300px;
  height: auto;
  position: relative;
}
#iphone-frame-image {
  width: 240px;
  height: auto;
  position: absolute;
}

#app-title {
  color: var(--gold);
}

#app-image-title {
  color: var(--gold);
  margin-top: -100px;
  text-align: center;
}

#about-image {
  max-height: 570px;
  max-width: 400px;

  box-sizing: border-box;
  height: auto;
  width: 100%;
  object-fit: contain;
}

#about-text {
  max-width: 600px;
}

#about {
  display: flex;
  flex-direction: column;
}

#about-content {
  padding: 32px;
  gap: 32px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  background-color: var(--bg);
}

#sections {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

footer {
  background-color: var(--bg);
  color: var(--gold);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  padding: 16px 32px;
}

#ervintech-logo {
  height: 60px;
  object-fit: cover;
}
#ervintech-link {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#contact {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.contact-content {
  padding: 32px;
  gap: 32px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
  background-color: var(--bg);
}
#contact-desc {
  color: var(--gold);
}
form {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

input {
  padding: 8px;
  font-size: 16px;
}

textarea {
  padding: 8px;
  font-size: 16px;
}

#ervin-text {
  color: var(--gold);
}

#ervin-text:visited {
  color: var(--gold);
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
  .offering-item-app {
    flex-direction: row;
  }
  .offering-item {
    max-width: 400px;
  }
}

@media only screen and (min-width: 840px) {
  #about-content {
    flex-direction: row;
  }

  #contact {
    flex-direction: column;
  }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
  .offering-items {
    flex-direction: row;
  }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
}
